質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

新規登録して質問してみよう
ただいま回答率
85.46%
Ubuntu

Ubuntuは、Debian GNU/Linuxを基盤としたフリーのオペレーティングシステムです。

Q&A

解決済

1回答

13238閲覧

rosのインストールができない.ubuntu 依存関係?

masuter0413

総合スコア50

Ubuntu

Ubuntuは、Debian GNU/Linuxを基盤としたフリーのオペレーティングシステムです。

0グッド

0クリップ

投稿2019/12/12 01:30

Ubuntu 16.04.6 で roskinetic のインストールを行っていました。
rosが正常にインストールされたのを確認するところで以下のエラーが出てきて,いろいろ試してみたんですが,どうも自分では解決できそうにありません。
何か解決策はありますでしょうか。

ubuntu

1keisuke@keisuke-dynabook-T75-BB:~$ roscore 2プログラム 'roscore' はまだインストールされていません。 次のように入力することでインストールできます: 3sudo apt install python-roslaunch 4

ubuntu

1keisuke@keisuke-dynabook-T75-BB:~$ sudo apt install python-roslaunch 2パッケージリストを読み込んでいます... 完了 3依存関係ツリーを作成しています 4状態情報を読み取っています... 完了 5インストールすることができないパッケージがありました。おそらく、あり得 6ない状況を要求したか、(不安定版ディストリビューションを使用しているの 7であれば) 必要なパッケージがまだ作成されていなかったり Incoming から移 8動されていないことが考えられます。 9以下の情報がこの問題を解決するために役立つかもしれません: 10 11以下のパッケージには満たせない依存関係があります: 12 python-roslaunch : 依存: python-roslib しかし、インストールされようとしていません 13E: 問題を解決することができません。壊れた変更禁止パッケージがあります。

ubuntu

1keisuke@keisuke-dynabook-T75-BB:~$ sudo apt install catkin 2[sudo] keisuke のパスワード: 3パッケージリストを読み込んでいます... 完了 4依存関係ツリーを作成しています 5状態情報を読み取っています... 完了 6インストールすることができないパッケージがありました。おそらく、あり得 7ない状況を要求したか、(不安定版ディストリビューションを使用しているの 8であれば) 必要なパッケージがまだ作成されていなかったり Incoming から移 9動されていないことが考えられます。 10以下の情報がこの問題を解決するために役立つかもしれません: 11 12以下のパッケージには満たせない依存関係があります: 13 catkin : 依存: python-catkin-pkg しかし、インストールされようとしていません 14E: 問題を解決することができません。壊れた変更禁止パッケージがあります。 15

気になる質問をクリップする

クリップした質問は、後からいつでもMYページで確認できます。

またクリップした質問に回答があった際、通知やメールを受け取ることができます。

バッドをするには、ログインかつ

こちらの条件を満たす必要があります。

guest

回答1

0

ベストアンサー

https://server-setting.info/debian/apt-get-upgrade-error-loop.html
このサイトを参考にしてみては、どうでしょうか。

投稿2019/12/12 02:35

light180

総合スコア161

バッドをするには、ログインかつ

こちらの条件を満たす必要があります。

あなたの回答

tips

太字

斜体

打ち消し線

見出し

引用テキストの挿入

コードの挿入

リンクの挿入

リストの挿入

番号リストの挿入

表の挿入

水平線の挿入

プレビュー

15分調べてもわからないことは
teratailで質問しよう!

ただいまの回答率
85.46%

質問をまとめることで
思考を整理して素早く解決

テンプレート機能で
簡単に質問をまとめる

質問する

関連した質問